Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Read_File Class Reference

This class is a factory for starting off asynchronous reads on a file. This class implements <ACE_Asynch_Read_File> for all POSIX implementations of Proactor. More...

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Read_File:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Read_File:

[legend]
List of all members.

## Public Methods
| ACE_POSIX_Asynch_Read_File (ACE_POSIX_Proactor *posix_proactor)
| Constructor. More...
int | read (ACE_Message_Block &message_block, size_t bytes_to_read, u_long offset, u_long offset_high, const void *act, int priority, int signal_number=0)
virtual | ~ACE_POSIX_Asynch_Read_File (void)
| Destructor. More...
## Private Methods
int | read (ACE_Message_Block &message_block, size_t bytes_to_read, const void *act, int priority, int signal_number=0)

## Detailed Description

This class is a factory for starting off asynchronous reads on a file. This class implements <ACE_Asynch_Read_File> for all POSIX implementations of Proactor.

Once <open> is called, multiple asynchronous <read>s can started using this class. A <ACE_Asynch_Read_File::Result> will be passed back to the <handler> when the asynchronous reads completes through the <ACE_Handler::handle_read_file> callback.

This class differs slightly from <ACE_Asynch_Read_Stream> as it allows the user to specify an offset for the read.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Read_File::ACE_POSIX_Asynch_Read_File | ( | ACE_POSIX_Proactor * | posix_proactor | ) |

| Constructor.

ACE_POSIX_Asynch_Read_File::~ACE_POSIX_Asynch_Read_File | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_POSIX_Asynch_Read_File::read | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_read,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number = 0
| ) | `[private, virtual]`

| This belongs to ACE_POSIX_Asynch_Read_Stream. We have defined this here to avoid compiler warnings and forward the method to <ACE_POSIX_Asynch_Read_Stream::read>. Reimplemented from ACE_Asynch_Read_File_Impl.

int ACE_POSIX_Asynch_Read_File::read | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_read,
|  | u_long | offset,
|  | u_long | offset_high,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number = 0
| ) | `[virtual]`

| This starts off an asynchronous read. Upto <bytes_to_read> will be read and stored in the <message_block>. The read will start at <offset> from the beginning of the file. Reimplemented from ACE_Asynch_Read_File_Impl.

The documentation for this class was generated from the following files:

- POSIX_Asynch_IO.h
- POSIX_Asynch_IO.cpp